## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.1
%bcond_without check
%global debug_package %{nil}
# Avoid noarch package built differently on different architectures
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(golang.org/x/sys/cpu\\)$

# https://github.com/golang/crypto
%global goipath  golang.org/x/crypto
%global forgeurl https://github.com/golang/crypto
Version:         0.11.0

%global godevelheader %{expand:
Provides: golang(golang.org/x/crypto/ssh/testdata) =  %{version}-%{release}
Provides: golang(golang.org/x/crypto/ssh/testdata)(commit=%commit) = %{version}-%{release}}

%gometa

%global common_description %{expand:
Go supplementary cryptography libraries.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

%global gosupfiles curve25519/const_amd64.h ssh/testdata/*

Name:           %{goname}
Release:        %autorelease
Summary:        Go supplementary cryptography libraries

License:        BSD-3-Clause
URL:            %{gourl}
Source0:        %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# internal/wycheproof: depends on Go modules
%gocheck -d internal/wycheproof
%endif

%gopkgfiles

%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.11.0-1
- update to v0.11.0, close rhbz#2214859

* Thu Jun 22 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.10.0-1
- update to v0.10.0, close rhbz#2214859

* Sun Jun 11 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.9.0-1
- bump to v0.9.0, close rhbz#2175556

* Sat Feb 25 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.0-1
- Update to latest version (#2173325)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.23
- Bump to commit c86fa9a7ed909e2f2a8ab8298254fca727aba16a

* Sun Jul 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.22
- Bump to commit 630584e8d5aaa1472863b49679b2d5548d80dcba

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 02 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-20
- Add Provides for ssh/testdata

* Tue Apr 12 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0-0.43.20220412git7b82a4e
- Fix CVE-2022-27191
- Fix macro-in-changelog warning

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 05 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0-0.41.20211205git5770296
- Bump to commit 5770296d904e90f15f38f77dfc2e43fdf5efc083

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 23 01:52:09 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.38.20210123giteec23a3
- Bump to commit eec23a3978adcfd26c29f4153eaa3e3d9b2cc53a

* Fri Aug 07 18:45:47 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.37.20200807git123391f
- Bump to commit 123391ffb6de907695e1066dc40c1ff09322aeb6

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 07 00:11:41 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.34.20200706git75b2880
- Bump to commit 75b288015ac94e66e3d6715fb68a9b41bf046ec2

* Tue Feb 11 20:23:29 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.34.20200211git86ce3cb
- Bump to commit 86ce3cb696783b739e41e834e2eead3e1b4aa3fb

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.31.20190416git88737f5
- Add Obsoletes for old name

* Tue Apr 16 01:12:11 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.30.20190416git88737f5
- Bump to commit 88737f569e3a9c7ab309cdc09a07fe7fc87233c3

* Sun Mar 24 18:28:52 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.29.20190324gitb7391e9
- Bump to commit b7391e95e576cacdcdd422573063bc057239113d
- Security fix for #1691529 and #1691530.

* Sat Mar 02 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.28.20190302git8dd112b
- Bump to commit 8dd112bcdc25174059e45e07517d9fc663123347

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.27.gite84da03
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.26.20181026gite84da03
- Bump to commit e84da0312774c21d64ee2317962ef669b27ffb41

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.25.gita49355c
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Sun Aug 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.24.gita49355c
- Rebuild to accomodate golist rebuild
  resolves: #1615497

* Mon Jul 16 2018 Steve Miller (copart) <code@rellims.com> - 0-0.23.gita49355c
- Bump to upstream a49355c7e3f8fe157a85be2f77e6e269a0f89602

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.22.git88942b9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.21.20180324git9419663
- Bump to upstream 88942b9c40a4c9d203b82b3731787b672d6e809b

* Tue Mar 06 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.20.git9419663
- Bump to upstream 9419663f5a44be8b34ca85f08abc5fe1be11f8a3

* Mon Feb 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.19.20170329gite4e2799
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.gite4e2799
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.gite4e2799
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.gite4e2799
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 25 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.gite4e2799
- Bump to upstream e4e2799dd7aab89f583e1d898300d96367750991
  resolves: #1474536

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.git81372b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 13 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git81372b2
- Bump to upstream 81372b2fc2f10bef2a7f338da115c315a56b2726
  related: #1231618

* Fri Dec 16 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.12.gitc10c31b
- Polish the spec file
  related: #1231618

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.gitc10c31b
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.10.gitc10c31b
- Bump to upstream c10c31b5e94b6f7a0283272dc2bb27163dcea24b
  related: #1231618

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.gitc57d4a7
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gitc57d4a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 08 2015 jchaloup <jchaloup@redhat.com> - 0-0.7.gitc57d4a7
- Fix sed for import path
  related: #1231618

* Thu Aug 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.6.gitc57d4a7
- Choose the correct devel subpackage
  related: #1231618

* Wed Aug 19 2015 jchaloup <jchaloup@redhat.com> - 0-0.5.gitc57d4a7
- Update spec file to spec-2.0
  related: #1231618

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.gitc57d4a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git
- Repository has moved to github.com/golang/crypto, updating spec file accordingly
  resolves: #1231618

* Sun Dec 14 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.hg69e2a90ed92d
- Correct Source0 URL
- Correct paths for golang.org/x/crypto/*

* Thu Dec 04 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.hg69e2a90ed92d
- First package for Fedora
  resolves: #1148704

